/**
 *  Copyright notice
 *  
 *  This file is part of the Processing sketch `CavityCalculator' 
 *  http://www.gwoptics.org/processing/cavity_calculator/
 *
 *  Copyright (C) 2010 onwards Jamie Dougherty and Andreas Freise
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 *  MA  02110-1301, USA.
 */

class AxisConfig
{
  color axiscolor, textcolor, tickcolor, minorTickColor;
  int axisweight;
  private int fontsize;
  PFont font;
  int majorTickSize;
  int tickweight;
  int minor_weight;
  int minorTickSize;
  
  public AxisConfig()
  {
    //default values for apperance variables if not defined by user
    axiscolor = color(0);
    textcolor = color(0);
    axisweight = 1;
    majorTickSize = 10;                        //default tick size set to 10 pixels
    tickweight = 1;
    fontsize = 10;                             //can change the font size, but...
    font = createFont("verdana", fontsize);    //currently no option to change the font itself
    tickcolor = axiscolor;                     //defaulted so ticks and axis are the same color
    minor_weight = 1;
    minorTickSize = majorTickSize/2;           //defaulted so the minor ticks are half the size of the major ticks
    minorTickColor = tickcolor;                //defaulted so minor ticks are the same color as the major ticks
  }
  
  public void setFontsize(int size){
    fontsize = size;
    font = createFont("verdana", fontsize);
  }
  
  public AxisConfig getConfig(){
    AxisConfig newConfig = new AxisConfig();
    newConfig.axisweight = this.axisweight;
    newConfig.axiscolor = this.axiscolor;
    newConfig.textcolor = this.textcolor;
    newConfig.tickcolor = this.tickcolor;
    newConfig.minorTickColor = this.minorTickColor;
    newConfig.fontsize = this.fontsize;
    newConfig.majorTickSize = this.majorTickSize;
    newConfig.tickweight = this.tickweight;
    newConfig.minor_weight = this.minor_weight;
    newConfig.minorTickSize = this.minorTickSize;
    return newConfig;
  }
}
