/**
 *  Copyright notice
 *  
 *  This file is part of the Processing sketch `CavityCalculator' 
 *  http://www.gwoptics.org/processing/cavity_calculator/
 *
 *  Copyright (C) 2010 onwards Jamie Dougherty and Andreas Freise
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
 *  MA  02110-1301, USA.
 */

class PlotAreaBackground
  {
    PlotConfig plotConfig;
    int PlotAreaX, PlotAreaY, PlotAreaW, PlotAreaH;
    color borderColor, backgroundColor;
    int borderWeight;
    
    //constructor, default values (note: default is no border)
    //When creating a new plotting area (rectangle), must pass the x value, y
    //value, width, and height of the rectangle to the constructor, as well as
    //a PlotConfig object.
    PlotAreaBackground(int temp_x, int temp_y, int temp_width, int temp_height, PlotConfig temp_Config)
    {
      PlotAreaX = temp_x;
      PlotAreaY = temp_y;
      PlotAreaW = temp_width;
      PlotAreaH = temp_height;
      plotConfig = temp_Config;                //these defaults are set in PlotConfig
      
      borderColor = plotConfig.bordercolor;
      backgroundColor = plotConfig.fillcolor;
      borderWeight = plotConfig.borderweight;
    }
  
    //This simply draws the area to the screen, no parameters
    void drawRect()
    {
      stroke(borderColor);
      strokeWeight(borderWeight);
      fill(backgroundColor);
      rect(PlotAreaX, PlotAreaY, PlotAreaW, PlotAreaH);
    }  
  }
